--- a/CRM/Utils/REST.php	2022-07-26 00:45:26.022957232 +0000
+++ b/CRM/Utils/REST.php	2022-07-26 00:55:11.173481535 +0000
@@ -646,6 +646,12 @@
       return TRUE;
     }
 
+    // Allow authentication via environment variables for container settings
+    if (!empty($_REQUEST['key']) && ($_REQUEST['key'] === $_ENV['CIVICRM_SITE_KEY']) &&
+        !empty($_REQUEST['api_key']) && ($_REQUEST['api_key'] === $_ENV['CIVICRM_API_KEY'])) {
+      return TRUE;
+    }
+
     // If authx is enabled, and if the user gives a credential, it will store metadata.
     $authx = \CRM_Core_Session::singleton()->get('authx');
     $allowFlows = [
